ProcessPDF.Search
Try it in Swagger
Endpoint
- Method:
POST
- Route:
ProcessPDF/Search/{theirFileNumber}
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Path Parameters
| Field |
Type |
Required |
Notes |
theirFileNumber |
string |
Yes |
Route segment. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
404 Not Found |
Requested resource or draft was not found. |
Success Body
Response type: IReadOnlyList<ProcessPdfForDownloadDto>
| Field |
Type |
Max Length |
Notes |
workOrder |
string |
|
|
lineItem |
int |
|
|
pDFName |
string |
|
|
base64 |
string |
|
|
Response Sample
[
{
"workOrder": "C123456",
"lineItem": 1,
"pDFName": "proof-of-service.pdf",
"base64": "JVBERi0xLjQ="
}
]